RNAlib-2.1.8

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Partition Function and Base Pair Probabilities for Sequence Alignment(s)
Predicting Consensus Structures from Alignment(s) | Calculating Partition Functions and Pair Probabilities
Collaboration diagram for Partition Function and Base Pair Probabilities for Sequence Alignment(s):

## Functions

float | alipf_fold_par (const char **sequences, char *structure, plist **pl, pf_paramT *parameters, int calculate_bppm, int is_constrained, int is_circular)
float | alipf_fold (const char **sequences, char *structure, plist **pl)
| The partition function version of alifold() works in analogy to pf_fold(). Pair probabilities and information about sequence covariations are returned via the 'pi' variable as a list of pair_info structs. The list is terminated by the first entry with pi.i = 0.
float | alipf_circ_fold (const char **sequences, char *structure, plist **pl)
double * | export_ali_bppm (void)
| Get a pointer to the base pair probability array.

## Detailed Description

## Function Documentation

float alipf_fold_par | ( | const char ** | sequences,
|  | char * | structure,
|  | plist ** | pl,
|  | pf_paramT * | parameters,
|  | int | calculate_bppm,
|  | int | is_constrained,
|  | int | is_circular
| ) |  |

Parameters:

  sequences |
  structure |
  pl |
  parameters |
  calculate_bppm |
  is_constrained |
  is_circular |

Returns:

float alipf_fold | ( | const char ** | sequences,
|  | char * | structure,
|  | plist ** | pl
| ) |  |

The partition function version of alifold() works in analogy to pf_fold(). Pair probabilities and information about sequence covariations are returned via the 'pi' variable as a list of pair_info structs. The list is terminated by the first entry with pi.i = 0.

Parameters:

  sequences |
  structure |
  pl |

Returns:

float alipf_circ_fold | ( | const char ** | sequences,
|  | char * | structure,
|  | plist ** | pl
| ) |  |

Parameters:

  sequences |
  structure |
  pl |

Returns:

double* export_ali_bppm | ( | void |  | ) |

Get a pointer to the base pair probability array.

Accessing the base pair probabilities for a pair (i,j) is achieved by

    FLT_OR_DBL *pr = export_bppm(); pr_ij = pr[iindx[i]-j];

See also:
  get_iindx()

Returns:
  A pointer to the base pair probability array